Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_1.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_1.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_1.txt	(revision 36795)
@@ -43,5 +43,5 @@
 ki te ringaringa o tetahi tangata ke pu-
 puri ai. Kia ki atu ahau, kaore e mau
-Aka hoki atu ano kia koutou.
+âAâka hoki atu ano kia koutou.
 
 Whakina atu ana hoki taku whetu ki
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_2.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_2.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_2.txt	(revision 36795)
@@ -1,8 +1,8 @@
 MATARIKI.
 
-koutouara, te hunga na ratou i whaka-
+koutouâara, te hunga na ratou i whaka-
 tu nga kaitiaki.
 
-Koia ra te takehei arai atu i tenei, tu
+Koia ra te takeâhei arai atu i tenei, tu
 mate, i whakaarohia nuitia, kia hangaia e
 te Paremata, tetahi ritenga hou, kia ahei
@@ -95,21 +95,21 @@
 WHAKAHENGIA TE RUHI E TE
 HUPIRIMI KOOTI mo nga moni a Tare-
-ha i riro kia aia, ara, i puritia e iatana
+ha i riro kia aia, ara, i puritia e iaâtana
 kii mo ana mahi roia, mo nga whenua a
 Tareha. Na, ki ana Te Hupirimi Kooti,
 me Tareha hoki, he he taua puritanga i
 taua moni, ara, i te waru rau pauna, i te te
-kau ma iwa hereni, me etoru kapa
-£819 19s 3d.
+kau ma iwa hereni, me etoru kapaâ
+Â£819 19s 3d.
 
 Ko te kupu tenei a Te Hupirimi Kooti,
-kia utua e ia, e Te Riihi tenei moni £819
+kia utua e ia, e Te Riihi tenei moni Â£819
 198 3d kia Tareha INAIANEI.
 
 Kua tae atu hoki kia Te "Riihi, i Tura-
 nganui te tino tono a te Hupirimi Kooti
-kia utua taua monime te kupu ki hoki
+kia utua taua moniâme te kupu ki hoki
 a Te Hupirimi Kooti kia Te Riihi, kaore e
-tika tana mau i te £819 19s 3d moni a
+tika tana mau i te Â£819 19s 3d moni a
 Tareha.
 
@@ -148,8 +148,8 @@
 KATI, KO TE TINO WHAKATAU-
 NGA TENEI A TE HUPIRIMI KOOTI
-ME UTU E TE RIIHI. KIA TARE-
+âME UTU E TE RIIHI. KIA TARE-
 HA INAIANEI EWARU RAU PAUNA
 TE EAU MA IWI HERENI ME TE
-TORU KAPA£819 198 3d
+TORU KAPAâÂ£819 198 3d
 
 Na Tareha taua moni na Te Riihi i pu-
@@ -182,5 +182,5 @@
 RAWHITI.
 
-Ehoa ma,Tena koutou kua tae ki te
+Ehoa ma,âTena koutou kua tae ki te
 takiwa he pupuhi manu. Na, Kanui te manu
 o tenei tau. Ka nui te momona. Kati Kia
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_3.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_3.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__1_3.txt	(revision 36795)
@@ -53,5 +53,5 @@
 i tetahi kotahi mano eka kaore i uru ki roto
 ki te 12, 400, i muri mai i te utunga atu i nga
-moni £6600 me nga inatareti i whakata
+moni Â£6600 me nga inatareti i whakata
 turutia ki tetahi tangata ke (ko te wahi tenei
 e mohiotia ana kei a Makitanara) e nga kai
@@ -110,5 +110,5 @@
 moni pukai i whakatuturitia mai ki au i runga
 i taua pukapuka mokete, te toenga ranei, me
-nga inataretenga moni whakapiki katoa,
+nga inatareteânga moni whakapiki katoa,
 e tika ana kia utua ki au i runga i taua puka-
 puka, mokete.
@@ -116,7 +116,7 @@
 Na, tenei ano hoki tetahi, kia mohio
 koutou, ko te take i tukuna atu e au tenei
-panui kia panuitia, koia tenei,ara,kaore
+panui kia panuitia, koia tenei,âara,âkaore
 ano koutou i atu mai ki au nga tino moni
-pukai me nga moni inatereti  nga moni
+pukai me nga moni inatereti  ânga moni
 whakapiki i whakaaetia i ranga i nga ritenga
 i whakaatutia i roto i taua pukapuka mokete.
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_1.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_1.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_1.txt	(revision 36795)
@@ -67,15 +67,15 @@
 Pakeha. A, tika tonu taua kupu. Kei
 whea koki a Whataupoko inaianei?
-Kei whea hoki ra te £60, 000 i kiia nei e
+Kei whea hoki ra te Â£60, 000 i kiia nei e
 taua Wahahuka, ka puta mai i roto i
 tana mahi, a,, ka whakahaerea hei oranga 
 mo nga tangata o te Karaati o Whatau-
 poko? Me he auahi te whakangaro-
-manga atu!te kitea
+manga atu!âte kiteaâ
 
 Otira, ka pena katoa nga mahi a tena
 tangata i whakatu noa nei i a ia hei
-Kaitiaki. - Ko nga tangata kua ate
-mataki taki i nga mahi a tena Pakeha
+âKaitiaki. - Ko nga tangata kua ate
+mataki taki i nga mahi a tena Pakehaâ
 i nga wahi katoa e noho ana ia, kei te
 tino mohio he pera anake nga mahi e
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_2.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_2.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_2.txt	(revision 36795)
@@ -1,5 +1,5 @@
 MATARIKI.
 
-koutouKaorehe mea ke, kia whiwhi
+koutouâKaoreâhe mea ke, kia whiwhi
 ko ratou, kia mate ko koutou.
 
@@ -223,5 +223,5 @@
 RIMI KOOTI. Ko taua taniwha he mahi
 tika anake tana mahi. Ma taua taniwha
-e ki, kia pena, ka pena,kia
+e ki, kia pena, ka pena,âkia
 pera, ka pera Kaore i kitea e ia te
 mahi he. Ko nga iwi katoa i noho ra a
@@ -232,5 +232,5 @@
 ko HOKO, ko RETI, ko MOKETE me etahi
 atu. Ko HOKO, ko RETI, he taniwha ahua
-pai ano aua taniwha  Ko MOKETE, he
+pai ano aua taniwha â Ko MOKETE, he
 taniwha whaiwhakaaro tora ki nga iwi u
 taua whenua. He taniwha whakaputa
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_3.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_3.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_3.txt	(revision 36795)
@@ -295,11 +295,11 @@
 WHAKAHENGIA TE RUHI E TE
 HUPIRIMI KOOTI mo nga moni a Tare-
-ha i riro kia aia, ani, i puritia e iatana
+ha i riro kia aia, ani, i puritia e iaâtana
 kii mo ana, mahi roia, mo nga whenua a
 Tareha. Na, ki ana Te Hupirimi Kooti,
 me Tareha hoki, he he tana puritanga e ia-tana
 taua moni, ara, i te waru rau pauna, i te te
-kau ma iwa hereni, me etoru kapa-
-£819 198 3 (d.
+kau ma iwa hereni, me etoru kapa-â
+Â£819 198 3 (d.
 
 Ko tu kupu tenei; i Te Hupirimi Kooti,
Index: other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_4.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_4.txt	(revision 36776)
+++ other-projects/nightly-tasks/diffcol/trunk/gs3-model-collect/Scanned-Img-Advanced/import/xml/23/text/23__2_4.txt	(revision 36795)
@@ -3,7 +3,7 @@
 Kua tae atu hoki kia Te Riihi, i Tura-
 nganui te tino tono a te Hupirimi Kooti
-kia utua taua monime te kupu hoki
+kia utua taua moniâme te kupu hoki
 a Te Hupirimi Kooti kia Te Ruhi, kaore e
-tika taua mau i te £819 19s 3d moni a
+tika taua mau i te Â£819 19s 3d moni a
 Tareha.
 
@@ -44,5 +44,5 @@
 KATI, KO TE TINO WHAKATAU-
 NGA TENEI A TE HUPIRIMI KOOTI
-ME UTU E TE RUHI. KIA TARE-
+âME UTU E TE RUHI. KIA TARE-
 HA INAIANEI -
 
@@ -56,5 +56,5 @@
 
 E hoa ma! Kia noho tatou i runga i
-te matauranga, i te mohiotanga,Mehemea
+te matauranga, i te mohiotanga,âMehemea
 ka tono tatou ki te tahi roia kia mahia
 e ia a tatou mahi, tonoa ki a ia, kia mara
@@ -96,5 +96,5 @@
 moni pukai i whakatuturitia mai ki au i runga
 i taua pukapuka mokete, te toenga ranei, me
-nga inateretinga moni whakapiki katoa,
+nga inateretiânga moni whakapiki katoa,
 e tika ana kia uta ki au i runga i taua puka-
 puka mokete. 
@@ -102,7 +102,7 @@
 Na, tenei ano hoki tetahi, kia mohio
 koutou, ko te take i tukuna atu e au tenei
-panui kia panuitia, koia tenei,arakaore
+panui kia panuitia, koia tenei,âaraâkaore
 ano koutou i utu mai ki au i nga tino moni
-pukai me nga moni inateretinga moni
+pukai me nga moni inateretiânga moni
 whakapiki i whakaaetia i runga i nga ritenga
 i whakaatutia i roto i taua pukapuka mokete.
@@ -118,5 +118,5 @@
 RAWHITI.
 
-Ehoa ma,Tena koutou kua tae ki te
+Ehoa ma,âTena koutou kua tae ki te
 takiwa pupuhi manu. Na, Kanui te manu
 o tenei tau. Ka nui te momona. Kati Kia