Index: other-projects/expeditee-release-kits/trunk/README.txt
===================================================================
--- other-projects/expeditee-release-kits/trunk/README.txt	(revision 36833)
+++ other-projects/expeditee-release-kits/trunk/README.txt	(revision 36834)
@@ -6,5 +6,5 @@
 2. Ant
 3. JDK 1.8 for Expeditee
-(4. For the Windows release-kits, you will further need Microsoft Visual Studio.)
+4. For the Windows release-kits, you will further need Microsoft Visual Studio.
 
 
@@ -12,14 +12,8 @@
 
 1. Check out the expeditee release kits:
-svn co http://svn.greenstone.org/other-projects/expeditee-release-kits
-
-2a. Compile the ant taskdefs and ant installer as described in section D below.
-To compile the ant-installer as is necessary, need to create an "antlib" folder in 
-shared\core\ant-installer and then copy your ANT_HOME\lib's ant.jar and ant-launcher.jar into it.
-
-2b. Create a snapshots\expeditee folder
+svn co http://svn.greenstone.org/other-projects/expeditee-release-kits/trunk expeditee-release-kits
 
 
-3. Create the file "snapshots\expeditee\rke-build.properties". It should contain:
+2. Edit the file "\rke-build.properties.in". It should contain:
 	version:1
 	projectname:Expeditee	
@@ -36,60 +30,27 @@
 	- x64:true*
 	
+
+B. Automated binary generation
+The scripts expeditee-release-kits\create-expeditee.bat/sh will generate expeditee installers.
+To use them, 
+1. First create a custom version of rke-setup.bat/sh.in at the same level (as "expeditee-release-kits\rke-setup.bat/sh") and adjust any environment variable paths as needed
+2. Run create-expeditee.bat/sh
+
 	
-B. Each time you want to run the release-kit: 
-(MANUAL STEPS. A script that automates these steps follows in C)
+C. OPTIONAL: Compile up custom ant taskdefs that the release kit relies on.
+This is only needed if you update the ant task definitions or the ant installer code.
+You will need to recompile them before running the release-kit.
 
-Set the environment:
-1. Add SVN\bin to the PATH
-2. Set ANT_HOME and add ANT_HOME\bin to the PATH
-3. Set JAVA_HOME to JDK 1.8 and add JAVA_HOME\bin to the PATH
+1. Custome ant tasks
+pushd shared\core\ant-tasks\greenstone
+ant
+popd
 
-4. If you're on Windows, run the vcvars.bat file of your Microsoft Visual Studio.
-
-My windows compile environment batch file looks like:
-	set ANT_HOME=C:\Research\apache-ant-1.8.2
-	set JAVA_HOME=C:\Program Files\Java\jdk1.8.0
-	set PATH=C:\Research\ant\bin;%JAVA_HOME%\bin;c:\Program Files\Subversion\bin;%PATH%
-
-	call "C:\Program Files\Microsoft SDKs\Windows\v6.1\Bin\SetEnv.cmd"
-	call "C:\Program Files\Microsoft Visual Studio 9.0\VC\bin\vcvars32.bat"
-
-(Microsoft SDK is necessary for the windows.h header I think. It may not be needed for the Expeditee release kits.)
-
-5. Add your expeditee-release-kits\bin to the PATH. 
-E.g. on Windows
-	cd c:\Research\Nightly\tools\expeditee-release-kits\bin
-	set PATH=%CD%;%PATH%
-
-E.g. on Linux/Mac:
-	export PATH=/Volumes/Research/jts21/expeditee-release-kits/bin:$PATH
-
-Toro is the Mac we use and JDK1.8 is located in /Volumes/Research	
-Jeremy's Linux under his jts21 account is what's used to generate the Linux binary.
-
-(6. If you have any file-locking issues, you may want to delete the contents of the snapshots\expeditee folder, all EXCEPT the rke-build.properties file)
-
-6. Go to your snapshots\expeditee folder and run "rke":
-	cd snapshots\expeditee
-	rke
+2. ant-installer
+create the folder shared\core\ant-installer\antlib
+copy ANT_HOME\lib\ant.jar and ANT_HOME\lib\ant-launcher.jar into it
+pushd shared\core\ant-installer
+ant
+popd
 
 
-C. Automated binary generation
-The script expeditee-release-kits\create-expeditee.bat now does all the above steps. 
-To use it, 
-1. First create a custom version of rke-setup.bat.in at the same level (as "expeditee-release-kits\rke-setup.bat") and adjust its environment variable paths
-2. Put create-expeditee.bat into C:\Research\Nightly. Check that the file paths it refers to are correct.
-3. Run create-expeditee.bat
-
-	
-D. Compile up custom ant taskdefs that the release kit relies on, 
-if you ever update the ant task definitions or the ant installer code. You will need to recompile them before running the release-kit.
-	pushd shared\core\ant-tasks\greenstone
-	ant
-	popd
-
-	pushd shared\core\ant-installer
-	ant
-	popd
-
-To compile the ant-installer, need to create an "antlib" folder in shared\core\ant-installer and then copy your ANT_HOME\lib's ant.jar and ant-launcher.jar into it.