Index: cumented-examples/trunk/text-for-translation.txt
===================================================================
--- /documented-examples/trunk/text-for-translation.txt	(revision 36885)
+++ 	(revision )
@@ -1,227 +1,0 @@
-#Strings for translation:
-These need to be translated into French, Spanish, Russian, except where indicated.
-
-bibtext-e._text1_:Apart from the standard plugins, this collection uses <i>BibTexPlugin</i>, 
-which processes references in the BibTeX format (well known to computer 
-scientists). Two options have been set for BibTexPlugin: 
-<i>-OIDtype assigned -OIDmetadata Number</i>. This means the metadata 
-element \"Number\" will be used as the record identifier, instead of 
-Greenstone's default hash identifiers. These options are available for 
-all plugins.\n
-
-bibtext-e._text2_:This groups 200 documents together into a single archive file. 
-bibtext-e._text3_:The <i>buildtype</i> option shows that the default search engine <i>mgpp</i> is
-used. The <i>indexes</i> line specifies indexes for \"text\", and \"metadata\". In this case, \"text\" will be the original BibTeX record. \"metadata\" is a special keyword signifying that an index should be built for any metadata item found in the collection. 
-
-bibtex-3._text4_:An additional keyword, \"allfields\", could also be used in the <i>indexers</i> line, specifying that combined searching over all indexes should be available. 
-<p>
-The <i>levels</i> lines specifies only document level, as bibliographic records don't have internal structure.
-
-#russian only
-bibtex-e._text5_:Fielded searching, with a form-based interface, is selected by <i>format SearchTypes \"form,plain\"
-</i> in the configuration file. In fact, a plain textual full-text search
-index is included in this collection as well (since <i>form</i> comes first, 
-it is the default interface; you reach the <i>plain</i> search through 
-the <i>Preferences</i> page).\n
-
-bibtex-supp-e._text1_:The \"documented-examples/\" parts of the collection names are necessary 
-because these collections reside in the \"documented-examples\" collection 
-group subfolder in the collect directory.\n
-
-wrdpdf-e._text1_:If you encounter these problems, you
-can either remove the offending documents from your collection, or try using
-some of the advanced plugin options to process the documents in different ways.
-For more information, see the Enhanced PDf and Word tutorials on the  
-<a href=\'http://wiki.greenstone.org/wiki/index.php/Tutorial_exercises\'>Greenstone wiki</a>.
-
-# the following string has only changed a little, so have put the original strings hee too.
-isis-e._text1_:These databases have several files, but ISISPlugin uses just three: CDS.fdt (where CDS is the name of the database), containing the field names used in the database, CDF.xrf (a cross-reference file), and CDS.mst, containing the actual records. Whenever ISISPlugin encounters an \".mst\" file, it looks for the corresponding \".fdt\" and \".xrf\" files.
-isis-e._text1_ [l=fr] Ces bases de donnÃ©es ont plusieurs fichiers, mais ISISPlugin en utilise seulement deux: CDS.fdt (oÃ¹ CDS est le nom de la base de donnÃ©es) contenant les noms de champ utilisÃ©s dans la base de donnÃ©es, et CDS.mst qui contient les enregistrements. A chaque fois que ISISPlugin rencontre un fichier \".mst\", il cherche le fichier \".fdt\" correspondant. 
-isis-e._text1_ [l=es] Estas bases de datos contienen varios archivos, pero ISISPlugin solo utiliza dos: CDS.fdt (donde CDS es el nombre de la base de datos), el cual contiene los nombres de los campos usados en la base de datos, y CDS.mst, el cual contiene los registros. Cada vez que ISISPlugin encuentra un archivo \".mst\", busca el archivo \".fdt\" correspondiente.
-isis-e._text1_ [l=ru] Ð­ÑÐž Ð±Ð°Ð·Ñ ÐŽÐ°ÐœÐœÑÑ
- ÑÐŸÑÑÐŸÑÑ ÐžÐ· ÐœÐµÑÐºÐŸÐ»ÑÐºÐžÑ
- ÑÐ°Ð¹Ð»ÐŸÐ², ÐœÐŸ Ð¿Ð»Ð°Ð³ÐžÐœ ISISPlugin ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ ÑÐŸÐ»ÑÐºÐŸ ÐŽÐ²Ð°: CDS.fdt , (Ð³ÐŽÐµ CDS -- ÐžÐŒÑ Ð±Ð°Ð·Ñ ÐŽÐ°ÐœÐœÑÑ
- ), ÑÐŸÐŽÐµÑÐ¶Ð°ÑÐžÐ¹ ÐžÐŒÐµÐœÐ° Ð¿ÐŸÐ»ÐµÐ¹, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÐŒÑÑ
- Ð² Ð±Ð°Ð·Ðµ ÐŽÐ°ÐœÐœÑÑ
-, Ðž CDS.mst, ÑÐŸÐŽÐµÑÐ¶Ð°ÑÐžÐ¹ ÑÐ°ÐºÑÐžÑÐµÑÐºÐžÐµ Ð·Ð°Ð¿ÐžÑÐž. ÐÑÑÐºÐžÐ¹ ÑÐ°Ð·, ÐºÐŸÐ³ÐŽÐ° ISISPlugin ÑÑÐ°Ð»ÐºÐžÐ²Ð°ÐµÑÑÑ Ñ ÑÐ°Ð¹Ð»ÐŸÐŒ \".mst\" ÐŸÐœ ÐžÑÐµÑ ÐŽÐ»Ñ ÐœÐµÐ³ÐŸ ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÑÑÑÐžÐ¹ ÑÐ°Ð¹Ð» \".fdt\".
-isis-e._text2_:The <i>-OIDtype incremental</i> plugin option was used to give identifiers
-that are consistent across different operating systems (which may not happen with HASH identifiers), so that we can link to a document in
-this description.
-authen-e._text1_:The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
-configuration file</a> is exactly the same as for the original demo collection apart from the authentication directives, one plugin option (and this description).
-authen-e._text1_[l=fr] Ce <a href=\"_httpcollection_/etc/collect.cfg\"
-target=collect.cfg>fichier de configuration de collection</a> est
-exactement le mÃªme que celui de la collection de dÃ©monstration originale
-sauf pour les directives d'authentification (et cette description).
-authen-e._text1_[l=es] El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> es exactamente el mismo que el de la demo original salvo las directivas para la autenticaciÃ³n (y su descripciÃ³n).
-authen-e._text1_[l=ru]<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>Ð€Ð°Ð¹Ð» ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</a> ÑÐŸÑÐœÐŸ ÑÐ°ÐºÐŸÐ¹ Ð¶Ðµ ÐºÐ°Ðº Ðž Ð² ÐŸÑÐžÐ³ÐžÐœÐ°Ð»ÑÐœÐŸÐ¹ ÐŽÐµÐŒÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐºÑÐŸÐŒÐµ ÐŽÐžÑÐµÐºÑÐžÐ² Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÐž (Ðž ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ ÐŸÐ¿ÐžÑÐ°ÐœÐžÑ).
-
-authen-e._text2_:In this case, we have used the <i>-OIDtype dirname</i> option to HTMLPlugin,
-which specifies that directory names should be used as identifiers. This works 
-for collections where each document is in a separate directory. We have used 
-this option to ensure that identifiers remain the same across different 
-platforms (which may not be the case for HASH identifiers), as we need to 
-specify identifiers here for the authentication directives.
-
-#russian only
-dls-e._text1_:The DLS collection is fairly complex.
-
-dls-e._text2_:this text is part of it
-
-marc-e._text1_:The <i>dc.Title</i> classifier is an AZList, while the other two are AZCompactList, which groups items with the same metadata into a bookshelf. The <i>-removesuffix</i> argument for the <i>Title</i> and <i>Creator</i>
-classifiers removes suffixes from the metadata string (<i>dc.Title</i> and
-<i>dc.Creator</i> respectively).
-
-marc-e._text2_:The <i>VList</i> format statement controls the display of search results and all classifiers. For bookshelves, the number of leaf documents is displayed on the right-hand side. For documents, <i>dc.Title</i> is displayed, along with <i>dc.Creator</i> and <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> is used as dc.Creator has multiple values, and specifies that all values be output, not just the first one.
-
-marc-e._text3_:Multiple MARC fields may map to a single Dublin Core field. 
-For example, fields 720 (\"Uncontrolled name\"), 100 (\"Personal name\"), 
-110 (\"Corporate name\") and  111 (\"Meeting name\") all map to 
-<i>dc.Creator</i>. Actual MARC records normally
-define only one of these fields, and anyway Greenstone allows
-multi-valued metadata.\n
-<p>
-Some mappings are dependent on subfields. For example, MARC field 260 contains
-information about publication and distribution. Subfields \"c\" (Date of Publication) and \"g\" (Date of manufacture) are mapped to <i>dc.Date</i>, using the following mapping line:
-<blockquote>
-260$c$g     -&gt; dc.Date
-</blockquote>
-
-Greenstone also provides a file for mapping MARC to <b>qualified</b> dublin core: <a href=\"_httpprefix_/etc/marc2qdc.txt\" target=marc2qdc>greenstone/etc/marc2qdc.txt</a>. This can be used by the MARC plugin by setting the <i>-metadata_mapping_file</i> option to \"marc2qdc.txt\".
-
-
-#####################
-The entire description (and collection meta)  needs translating into chinese and arabic if possible for all collections.
-
-pagedimg-e, style-e, wiki-e have no translations yet, so entire thing needs to be done for fr, es, ru.
-
-pagedimg-e has strings in extra.dm that need translating.
-
-the two strings in the top level (group) etc/collect.cfg also need translating.
-
-In particular to check translations: bibtex-e in russian.
-
-collections I have done (I think):
-
-authen-e
-bibtex-e & bibtex-supp-e
-garish-e
-image-e
-isis-e
-pagedimg-e
-style-e
-wiki-e
-wrdpdf-e
-marc-e
-
-don't send off the others yet!!
-
-I haven't checked all colls yet for search meta using _labeltext_. 
-You probably won't have time either...
-
-
-############################################################
-Next installment:
-
-gsarch-e._text1_:This is a collection of email messages 
-from the Greenstone mailing list archives, from November/December, 2008.
-gsarch-e._text2_:In this case, there is a file per month per mailing list, and each file contains many email messages. 
-gsarch-e._text3_:The <i>Email</i>
-plugin splits these into individual documents, and produces <i>Title</i>,
-<i>Subject</i>, <i>From</i>, <i>FromName</i>, <i>FromAddr</i>,
-<i>Date</i>, <i>DateText</i>, <i>InReplyTo</i>, and optionally <i>Headers</i>, metadata.
-gsarch-e._text3_ [l=fr]Le plugin <i>E-mail</i> les Ã©clate en documents individuels et produit les mÃ©ta-donnÃ©es
-<i>Title</i>, <i>Subject</i>, <i>Headers</i>, <i>From</i>, <i>FromName</i>, <i>FromAddr</i>, <i>Date</i> et <i>DateText</i>.
-
-gsarch-e._text3_ [l=es] El plugin <i>Email</i> los divide en documentos individuales y produce metadatos de <i>TÃ­tulo, Asunto, Encabezados, Remitente, Nombre del Remitente, DirecciÃ³n del Remitente, Fecha y Texto de la Fecha (Title, Subject, Headers, From, FromName, FromAddr, Date y DateText</i>, respectivamente).
-gsarch-e._text3_ [l=ru] ÐÐ»Ð°Ð³ÐžÐœ Ðmail ÑÐ°Ð·Ð±ÐžÐ²Ð°ÐµÑ ÐžÑ
- ÐœÐ° ÐžÐœÐŽÐžÐ²ÐžÐŽÑÐ°Ð»ÑÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ðž ÑÐŸÐ·ÐŽÐ°ÐµÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ: <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÐµ (Title), ÐÑÐµÐŽÐŒÐµÑ (Subject), ÐÐ°Ð³ÐŸÐ»ÐŸÐ²ÐºÐž (Headers), ÐÑ (from), ÐÐŒÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ (FromName), ÐÐŽÑÐµÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ (FromAddr), ÐÐ°ÑÐ° (Date)</i> Ðž <i>DateText</i>.
-gsarch-e._text4_:Otherwise the node\'s label starts with the
-<i>Subject</i> which links to the document, then gives <i>FromName</i> metadata, with a link to \"Search by Sender\", followed by the <i>DateText</i>.
-gsarch-e._text5_:For
-document nodes the <i>FromName</i>, with a link to \"Search By Sender\", <i>Subject</i> (linked to the document), and <i>DateText</i> metadata is
-shown.
-gsarch-e._text6_:Finally, the document text is formatted to show the header fields (<i>FromName</i>, <i>DateText</i>, <i>Subject</i>, <i>InReplyTo</i>), followed by
-the message text (written as <i>[Text]</i> in the format statement). FromName is linked to a search on that name, while InReplyTo links to the email message that it refers to. 
-
-collections I have done:
-gsarch-e
-
-## next installment
-
-dls._text3_:Note that setting \"public\" to \"false\" only removes it from the home page; it will still be accessible in the library to anyone that knows the URL (a=p&p=about&c=coll-shortname).
-
-dls._text4_:The \"plugin\" lines in the
-<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>configuration file</a>
-give the plugins used by the collection.
-dls._text4_ [l=fr] Le troisiÃšme bloc de lignes dans le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a> donne les plugins utilisÃ©s par cette collection.
-dls._text4_ [l=es] El tercer bloque de lÃ­neas en el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> proporciona los plugins que usa esta colecciÃ³n.
-dls._text4_ [l=ru] Ð¢ÑÐµÑÐžÐ¹ Ð±Ð»ÐŸÐº ÑÑÑÐŸÐº Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÐµÑ Ð¿Ð»Ð°Ð³ÐžÐœÑ, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÐŒÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐµÐ¹.
-
-dls._text5_: For example, this book has two dls.Subject classifications.
-
-dls._text6_:The second classifier provides access by title. It is also a <i>Hierarchy</i> classifier, this time based on
-<i>dls.AZList</i> metadata, whose hierarchy is defined in <a href=\"_httpcollection_/etc/dls.Title.txt\" target=text>dls.AZList.txt</a>. This file is discussed below.
-
-#russian only
-dls._text7_:The third provides access by organization: it is a <i>List</i> classifier based on <i>dls.Organization</i> metadata.
-
-dls._text8_:The <i>-bookshelf_type always</i> option creates a new bookshelf for each organization, even if only one document belongs to that category.
-
-dls._text9_:The fourth provides access by \"Howto\" text: it is a <i>List</i> classifier based on <i>dls.Keyword</i> metadata. The <i>-bookshelf_type never</i> option prevents bookshelves being created even if two documents share the same keywords.
-
-dls._text10_:The lines beginning with <i>format</i>, called \"format statements\", govern how various parts of the collection should be displayed. The <i>VList</i> format statement applies to lists of items displayed vertically, such as the lists of titles, subjects and organisations, and the table of contents for the target documents. It is overridden for the search results list by the <i>SearchVList</i> format statement, and also for the <i>Howto</i> classifier by the <i>CL4VList</i> statement (CL4 specifies the fourth classifier). 
-
-dls._text11_:The <i>DocumentText</i> statement governs how the document text is formatted,
-with <i>Title</i> metadata ([<i>Title</i>]) in HTML &lt;<i>h3</i>&gt; format
-followed by the text of the document [<i>Text</i>]. Setting the <i>DocumentImages</i> format statement to <i>true</i> ensures that cover images are shown with each document. The <i>DocumentButtons</i> statement calls for the <i>Expand
-Text, Expand Contents, Detach</i> and <i>Highlight</i> buttons to be shown with each document.
-
-dls._text12_:Hierarchy files contain a
-succession of lines each of which has three items. The first item is a text string which is matched against the metadata that occurs in the <i>metadata.xml</i> file described above. The second item is a number that defines the position in the hierarchy. The third item is a text string that describes the node of the hierarchy on the web pages that Greenstone generates.
-
-dls._text13_:For example, the following shows three lines from the subject hierarchy file <a href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a>.
-
-dls._text14_:These three lines define one top level bookshelf (at position 7), titled \"Animal Husbandry and Animal Product Processing\", with two bookshelves underneath it, titled \"Cattle\" and \"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\" respectively.
-
-dls._text15_:In this case, the first strings (and therefore the entries in metadata.xml files) contain the entire hierarchy values. Levels in the hierarchy are separated by \"|\". They could be used directly by a <i>Hierarchy</i> classifier without the use of the hierarchy file. However, then the entries would be ordered alphabetically, not in the special order defined by the file.
-
-dls._text16_:The <a href=\"_httpcollection_/etc/dls.AZList.txt\" target=text>dls.AZList.txt</a> hierarchy file used by the titles classifier contains a similar structure. Ordinarily, a titles browser would use a <i>List</i> (or <i>AZList</i>) classifier. In this case, we want to predefine the A-Z groupings, and include a separate entry for periodicals, as can be seen <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2.7\">here</a>.
-
-image-e._text1_:The images in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
-
-
-oai._text1_:Besides the four standard plugins (GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin and DirectoryPlugin), 
-the configuration file specifies the OAI plugin, which processes OAI
-metadata, and the image plugin, because in this case the collection\'s source
-documents are image files. 
-
-oai._text2_:Extracted metadata from OAI records are mapped to Dublin Core Metadata Set by default.
-As a result, classifiers and indexes in this collection are built with Dublin meatadata elements.
-
-# for russian only, to check and update
-ÐÐŸÐ¶ÐœÐŸ ÑÐŽÐžÐ²Ð»ÑÑÑÑÑ, ÑÑÐŸ <i>AZCompactList</i> ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑÑÑ Ð²ÐŒÐµÑÑÐŸ  <i>AZList</i> ÑÐ°ÐºÐ¶Ðµ ÐŽÐ»Ñ ÐžÐœÐŽÐµÐºÑÐ° <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i> (<i>dc.Description</i>), Ð¿ÐŸÑÐŸÐŒÑ ÑÑÐŸ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i> ÐŸÐ±ÑÑÐœÐŸ ÑÐœÐžÐºÐ°Ð»ÑÐœÑ ÐŽÐ»Ñ ÐºÐ°Ð¶ÐŽÐŸÐ³ÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ. ÐÐŽÐœÐ°ÐºÐŸ Ð² ÐŽÐ°ÐœÐœÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐŸÐŽÐœÐŸ Ðž ÑÐŸ Ð¶Ðµ ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ ÐžÐœÐŸÐ³ÐŽÐ° ÐŽÐ°Ð²Ð°Ð»ÐŸÑÑ ÐœÐµÑÐºÐŸÐ»ÑÐºÐžÐŒ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑÐŒ, Ðž ÐœÐµÐºÐŸÑÐŸÑÑÐµ ÐžÐ· ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ² <i>AZList</i> ÑÐŸÐŽÐµÑÐ¶Ð°Ñ Ð±ÐŸÐ»ÑÑÐŸÐµ ÑÐžÑÐ»ÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹, Ð·Ð°ÐŒÐµÐŽÐ»ÑÑ Ð¿ÐµÑÐµÐŽÐ°ÑÑ ÑÑÐŸÐ¹ ÑÑÑÐ°ÐœÐžÑÑ. Ð§ÑÐŸÐ±Ñ ÐžÐ·Ð±ÐµÐ¶Ð°ÑÑ ÑÑÐŸÐ³ÐŸ, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑÑÑ ÐºÐŸÐŒÐ¿Ð°ÐºÑÐœÐ°Ñ Ð²ÐµÑÑÐžÑ ÑÐ¿ÐžÑÐºÐ° Ñ ÑÑÐŽÐŸÐŒ Ð¿Ð°ÑÐ°ÐŒÐµÑÑÐŸÐ² (<i>mincompact, maxcompact, mingroup, minnesting</i>), ÑÑÐŸÐ±Ñ ÑÐ¿ÑÐ°Ð²Ð»ÑÑÑ Ð¿ÐŸÐºÐ°Ð·ÐŸÐŒ. Ð¢Ð°Ðº, Ð³ÑÑÐ¿Ð¿Ñ, Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐœÑÐµ ÐºÐœÐžÐ¶ÐœÑÐŒÐž Ð¿ÐŸÐ»ÐºÐ°ÐŒÐž, ÐœÐµ ÑÑÐŸÑÐŒÐžÑÑÑÑÑÑ ÐŽÐŸ ÑÐµÑ
- Ð¿ÐŸÑ, Ð¿ÐŸÐºÐ° ÐŸÐœÐž ÐœÐµ Ð±ÑÐŽÑÑ ÐžÐŒÐµÑÑ Ð¿ÐŸ ÐºÑÐ°Ð¹ÐœÐµÐ¹ ÐŒÐµÑÐµ 5 ÑÐ»ÐµÐŒÐµÐœÑÐŸÐ² (<i>mingroup</i>). Ð§ÑÐŸÐ±Ñ ÑÐ·ÐœÐ°ÑÑ Ð·ÐœÐ°ÑÐµÐœÐžÑ ÐŽÑÑÐ³ÐžÑ
- Ð¿Ð°ÑÐ°ÐŒÐµÑÑÐŸÐ² ÐŽÐ»Ñ ÑÑÐŸÐ³ÐŸ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°, Ð²ÑÐ¿ÐŸÐ»ÐœÐžÑÐµ ÐºÐŸÐŒÐ°ÐœÐŽÑ <i>classinfo.pl AZCompactList</i>. ÐÑÐŸÐ³ÑÐ°ÐŒÐŒÑ <i>classinfo</i>.pl (ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐŸÐ²) Ðž <i>pluginfo.pl</i> (ÐŽÐ»Ñ Ð¿Ð»Ð°Ð³ÐžÐœÐŸÐ²) ÑÐ²Ð»ÑÑÑÑÑ Ð¿ÐŸÐ»ÐµÐ·ÐœÑÐŒÐž ÐžÐœÑÑÑÑÐŒÐµÐœÑÐ°ÐŒÐž, ÐºÐŸÐ³ÐŽÐ° ÐœÐ°ÐŽÐŸ ÑÐ·ÐœÐ°ÑÑ ÐŸ Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑÑ
- ÐŒÐŸÐŽÑÐ»ÐµÐ¹ Greenstone. ÐÐ±ÑÐ°ÑÐžÑÐµ ÐºÑÑÐ°ÑÐž Ð²ÐœÐžÐŒÐ°ÐœÐžÐµ ÐœÐ° ÐŸÐ±ÑÐ°ÑÐœÑÐ¹ ÑÐ»ÐµÑ Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÐŒÑÐ¹ ÐŽÐ»Ñ ÑÐºÐ°Ð·Ð°ÐœÐžÑ ÐœÐ° Ð¿ÑÐŸÐŽÐŸÐ»Ð¶ÐµÐœÐžÐµ Ð¿ÑÐµÐŽÑÐŽÑÑÐµÐ¹ ÑÑÑÐŸÐºÐž.
-<p>
-
-oai._text3_:Greenstone's OAI server currently supports Dublin Core, qualified Dublin Core and rfc1807 metadata sets. The <i>oaimetadata</i> line specifies which sets should be used. For collections that use other metadata sets, 
-metadata mapping rules should be provided to map the existing metadata 
-to the sets in use. See the <i>oai.cfg</i> file for details.\n
-
-oai._text4_:The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
-configuration file</a> has a single full-text index containing
-<i>dc.Description</i> metadata. When a document is displayed, the
-<i>DocumentHeading</i> format statement puts out its <i>dc.Subject</i>. Then the
-<i>DocumentText</i> statement follows this with <i>screenicon</i>, which is
-produced by <i>ImagePlugin</i> and gives a screen-resolution version of the
-image; it is hyperlinked to the <i>dc.OrigURL</i> metadata -- that is, the original
-version of the image on the remote OAI site. This is followed by the image\'s
-<i>dc.Description</i>, also with a hyperlink; the image\'s size and type, again
-generated as metadata by <i>ImagePlugin</i>; and then <i>dc.Subject</i>,
-<i>dc.Publisher</i>,
-and <i>dc.Rights</i> metadata.
-<a href=_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=search&d=_sampleoid_>This</a>
-is the result.\n