Index: documented-examples/trunk/style-e/etc/collect.cfg
===================================================================
--- documented-examples/trunk/style-e/etc/collect.cfg	(revision 36625)
+++ 	(revision )
@@ -1,218 +1,0 @@
-creator		greenstone@cs.waikato.ac.nz
-maintainer	greenstone@cs.waikato.ac.nz
-public		true
-
-buildtype	mgpp
-infodbtype	gdbm
-
-indexes		text dls.Title,ex.Title dls.Subject dls.Organization dls.Keyword
-
-levels	section document
-
-plugin	GreenstoneXMLPlugin
-plugin	HTMLPlugin -description_tags
-plugin	MetadataXMLPlugin
-plugin	ArchivesInfPlugin
-plugin	DirectoryPlugin
-
-classify	List -metadata dls.Title -partition_type_within_level constant_size
-
-classify	Hierarchy -metadata dls.Subject -sort dls.Title
-
-classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size
-
-classify	List -metadata dls.Keyword -partition_type_within_level constant_size -buttonname Howto
-
-format CL4VList "<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]"
-
-format SearchVList "<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All\': \'):Title],[parent(All\': \'):Title]:}[link][Title][/link]</td>"
-
-format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>"
-
-format DocumentText "<h3>[Title]</h3>\\n\\n<p>[Text]"
-format DocumentImages true
-format DocumentButtons "Expand Text|Expand Contents|Highlight|Detach|Print"
-format DocumentSearchResultLinks true
-
-format HList "[link][highlight][Title][/highlight][/link]"
-
-format DocumentHeading "{Or}{[parent(Top):Title],[Title],untitled}<br>"
-
-format SearchTypes "plain,form"
-
-# strings that use macros
-# these don't need translating unless you want something different from the
-# default
-collectionmeta	.text [l=en] "_labeltext_"
-collectionmeta	.dls.Title,Title [l=en] "_labelTitle_"
-collectionmeta	.dls.Subject [l=en] "_labelSubject_"
-collectionmeta	.dls.Organization [l=en] "_labelOrganization_"
-collectionmeta	.dls.Keyword [l=en] "_labelHowto_"
-
-collectionmeta	.document [l=en] "_textbook_"
-collectionmeta	.section [l=en] "_textchapter_"
-
-# -- English strings ----------------
-collectionmeta	collectionname [l=en] "Cascading Style Sheets<br/> Demo collection"
-
-collectionmeta	depositormetadata [l=en] "{\"name\":\"dls.Title\",\"label\":\"Title\",\"tooltip\":\"dls.Title: The title of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Organization\",\"label\":\"Organization\",\"tooltip\":\"dls.Organization: The organization responsible for producing this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Subject\",\"label\":\"Subject\",\"tooltip\":\"dls.Subject: The subject of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Keyword\",\"label\":\"Keyword\",\"tooltip\":\"dls.Keyword: A more specific indication of what the resource can be used for.\",\"type\":\"text\"}, {\"name\":\"dls.Language\",\"label\":\"Language\",\"tooltip\":\"dls.Language: The language of this resource.\",\"type\":\"text\"}"
-
-# -- French strings ----------------
-collectionmeta	collectionname [l=fr] "DÃ©mo de feuilles de styles en cascade (CSS)"
-
-# -- Spanish strings ----------------
-collectionmeta	collectionname [l=es] "ColecciÃ³n de muestra CSS"
-
-# -- Simplified Chinese strings ----------------
-collectionmeta	collectionname [l=zh] "å±çº§æ ·åŒè¡š<br/>æŒç€ºéŠè"
-
-# -- English text ---------------------------
-
-collectionmeta	collectionextra [l=en] "
-This collection demonstrates Greenstone\'s use of Cascading Style Sheets (CSS)
-for visual formatting in web browsers. (Greenstone uses CSS instead of HTML
-tables since version 2.63.) On every page, you can change the
-style-sheet in effect, to modify that page\'s appearance.
-</p>
-<p>This collection contains the same material as the original Greenstone demo collection.</p>
-<p>
-An <a href=\'_httpcollection_/macros/extra.dm\'>extra.dm</a> macro file is used by the collection to provide the stylesheet switching. This redefines a few macros from the <i>Style</i> package: <b>\_cssheader\_</b>, to link to multiple stylesheets; <b>\_optnavigationbar\_</b>, to display the links to click; and <b>\_pagescriptextra\_</b>, to facilitate the switching when a link is clicked.
-</p>
-<p>If you want to download any of these stylesheets for your own collections,
-here are links to them:
-<ul>
-<li><a href=\'_httpimages_/style.css\'>Default Greenstone Style</a></li>
-<li><a href=\'_httpcstyle_/style-blue.css\'>âOcean Blueâ theme</a></li>
-<li><a href=\'_httpcstyle_/style-red.css\'>âFire Redâ theme</a></li>
-<li><a href=\'_httpimages_/style-print.css\'>Printer</a></li>
-</ul>
-</p>
-<p>
-<b>Using a downloaded stylesheet</b>
-<ul>
-<li>To use a stylesheet as the default, place it in greenstone/web/style and rename it to style.css. This will affect all collections.</li>
-<li>To use a stylesheet for a particular collection, place it in the collection\'s style directory, add an extra.dm file to the collection\'s macros directory, and add a macro like the following (this uses style-red.css as the example):<br/>
-<small><tt>
-<br/>
-package Style<br/>
-<br/>
-\_cssheader\_ {<br/>
-&lt;link rel=\'stylesheet\' href=\'\_httpcstyle\_/style-red.css\'<br/>
-&nbsp;&nbsp;type=\'text/css\' title=\'Fire Red\' charset=\'UTF-8\'&gt;<br/>
-}<br/>
-</tt></small>
-</li>
-</ul>
-</p>
-"
-
-# -- French text ---------------------------
-
-collectionmeta	collectionextra [l=fr] "
-Cette collection montre l'usage que fait Greenstone des feuilles de style en cascace (CSS) 
-pour le formatage visuel dans les navigateurs Web. (Greenstone utilise les feuilles CSS Ã  la 
-place des tableaux HTML depuis la version 2.63.) Sur chaque page, vous pouvez changer la feuille 
-de style utilisÃ©e, pour changer l'apparence de la page. </p> 
-
-<p>Cette collection contient les mÃªmes matÃ©riaux que la collection de dÃ©monstration originale de Greenstone. </p> 
-
-<p>Un fichier de macro <a href=\'_httpcollection_/macros/extra.dm\'>extra.dm</a> est utilisÃ© par cette collection 
-pour permettre de changer de feuille de style. Cela redÃ©finit quelques macros du paquet <i>Style</i> : 
-<b>\_cssheader\_</b>, pour permettre le lien vers plusieurs feuilles de style; <b>\_optnavigationbar\_</b>, 
-pour afficher le lien Ã  cliquer; et <b>\_pagescriptextra\_</b>, pour faciliter le changement de feuille de style 
-quand on clique sur un lien.</p><p>Si vous voulez tÃ©lÃ©charger n'importe laquelle de ces feuilles de style pour 
-vos propres collections, voici les liens qui y renvoient : 
-<ul> <li><a href=\'_httpimages_/style.css\'>Style Greenstone par dÃ©faut</a></li> 
-<li><a href=\'_httpcstyle_/style-blue.css\'>thÃšme âOcean Blueâ</a></li> 
-<li><a href=\'_httpcstyle_/style-red.css\'>thÃšme âFire Redâ</a></li> 
-<li><a href=\'_httpimages_/style-print.css\'>Version imprimable</a></li> </ul> 
-</p> 
-
-<p><b>Utiliser une feuille de style tÃ©lÃ©chargÃ©e</b> 
-<ul> 
-<li>Pour utiliser une feuille de style par dÃ©faut, copiez-la dans le dossier greenstone/web/style 
-et renommez la en style.css. Cela aura un impact sur toutes les collections.</li> 
-<li>Pour utiliser une feuille de style pour une collection particuliÃšre, copiez la dans le dossier 
-style de cette collection, ajoutez un fichier extra.dm dans le rÃ©pertoire des macros de cette collection, 
-et ajoutez-y une macro comme celle-ci (qui utilise la feuille de style style-red.css comme exemple) : 
-<br/> <small><tt> <br/> package Style<br/> 
-<br/> \_cssheader\_ {<br/> &lt;link rel=\'stylesheet\' href=\'\_httpcstyle\_/style-red.css\'<br/> 
-&nbsp;&nbsp;type=\'text/css\' title=\'Fire Red\' charset=\'UTF-8\'&gt;<br/> }<br/> </tt></small> 
-</li> </ul> </p>
-"
-
-# -- Spanish text -----------------------
-collectionmeta	collectionextra [l=es] "
-Esta colecciÃ³n demuestra el uso de hojas de estilo (CSS) con Greenstone para el formateo visual en los navegadores web. (Greenstone usa CSS en vez de tablas HTML desde la version 2.63.) En cada pÃ¡gina, puede cambiar la plantilla usada, para modificar la apariencia de la pÃ¡gina.
-</p>
-<p>Esta colecciÃ³n contiene el mismo material que la colecciÃ³n de demo original de Greenstone.</p>
-<p>
-Un archivo <a href=\'_httpcollection_/macros/extra.dm\'>extra.dm</a> se utiliza para proveer el cambio de plantilla de estilos. Este archivo redefine algunas macros del paquete <i>Style</i>: <b>\_cssheader\_</b>, para enlazar mÃºltiples plantillas; <b>\_optnavigationbar\_</b>, para mostrar los links; y <b>\_pagescriptextra\_</b>, para facilitar el cambio cuando se selecciona un link.
-</p>
-<p>Si quiere descargar cualquiera de estas plantillas para sus propias colecciones, aquÃ­ estÃ¡n los links a ellas:
-<ul>
-<li><a href=\'_httpimages_/style.css\'>Plantilla por defecto de Greenstone</a></li>
-<li><a href=\'_httpcstyle_/style-blue.css\'>Tema âOcean Blueâ</a></li>
-<li><a href=\'_httpcstyle_/style-red.css\'>âTema Fire Redâ</a></li>
-<li><a href=\'_httpimages_/style-print.css\'>Impresora</a></li>
-</ul>
-</p>
-<p>
-<b>Usar una plantilla descargada</b>
-<ul>
-<li>Para usar una plantilla de estilos por defecto, copiela en la carpeta greenstone/web/style y renÃ³mbrela como style.css. Esto afectarÃ¡ a todas las colecciones.</li>
-<li>Para usar una plantilla para una colecciÃ³n en particular, copiela en la carpeta style de la colecciÃ³n, agregue un archivo extra.dm en la carpeta macros de la colecciÃ³n y edÃ­telo para agregar las siguientes lÃ­neas (aquÃ­ se usa la plantilla style-red.css como ejemplo):<br/>
-<small><tt>
-<br/>
-package Style<br/>
-<br/>
-\_cssheader\_ {<br/>
-&lt;link rel=\'stylesheet\' href=\'\_httpcstyle\_/style-red.css\'<br/>
-&nbsp;&nbsp;type=\'text/css\' title=\'Fire Red\' charset=\'UTF-8\'&gt;<br/>
-}<br/>
-</tt></small>
-</li>
-</ul>
-</p>
-"
-
-# -- Simplified Chinese text -----------------------
-collectionmeta	collectionextra [l=zh] "
-æ¬éŠèæŒç€ºGreenstoneäœ¿çšå±çº§æ ·åŒè¡šïŒCSSïŒå®å¶çœé¡µæµè§æ ŒåŒãïŒèª2.63çæ¬åïŒGreenstoneäœ¿çšCSSæ¿æ¢HTMLè¡šæ ŒãïŒæ¯äžªé¡µé¢éœå¯éè¿ä¿®æ¹å¯¹åºçæ ·åŒè¡šæ¥æŽæ¹è¯¥é¡µé¢çå€è§ã</p> 
- 
-<p>æ¬éŠèæå
-å«çææ¡£äžGreenstoneæŒç€ºéŠèäž­çäžæ ·ã</p> 
-<p>æ¬éŠèäœ¿çš<a href=\'_httpcollection_/macros/extra.dm\'>extra.dm</a>å®æä»¶æ¥å®ç°äžåæ ·åŒè¡šçèœ¬æ¢ãè¯¥æä»¶éæ°å®ä¹äº<i>Style</i>å
-äž­çå äžªå®ïŒ<b>\_cssheader\_</b>ïŒä»¥éŸæ¥å°å€äžªæ ·åŒè¡šïŒ<b>\_optnavigationbar\_</b>ïŒä»¥æŸç€ºç¹å»çéŸæ¥ïŒä»¥å<b>\_pagescriptextra\_</b>ïŒä»¥å®ç°ç¹å»éŸæ¥æ¶çèœ¬æ¢ã 
-</p> 
- 
-<p>åŠæäœ æ³äžèœœè¿äºæ ·åŒè¡šä»¥äŸ¿çšäºäœ èªå·±çéŠèïŒè¿éæ¯äžèœœçéŸæ¥ïŒ 
-<ul> 
-<li><a href=\'_httpimages_/style.css\'>çŒºççGreenstoneæ ·åŒè¡š</a></li> 
-<li><a href=\'_httpcstyle_/style-blue.css\'>æµ·èäž»é¢</a></li> 
-<li><a href=\'_httpcstyle_/style-red.css\'>ç«çº¢äž»é¢</a></li> 
-<li><a href=\'_httpimages_/style-print.css\'>æå°æº</a></li> 
-</ul> 
-</p> 
- 
-<p> 
-<b>äœ¿çšäžèœœçæ ·åŒè¡š</b> 
-<ul> 
-<li>èŠå°äžäžªæ ·åŒè¡šè®Ÿçœ®äžºçŒºççæ ·åŒè¡šïŒå°è¯¥æ ·åŒè¡šæŸå
-¥greenstone/web/styleæä»¶å€¹å¹¶éåœåäžºstyle.cssãè¿å°åœ±åå°ææçéŠèã</li> 
-<li>èŠåšæäžªç¹å®éŠèäž­äœ¿çšäžäžªæ ·åŒè¡šïŒå°è¯¥æ ·åŒè¡šæŸå
-¥è¯¥éŠèçstyleç®åœïŒå¹¶åšè¯¥éŠèçmacrosç®åœäžæ·»å äžäžªextra.dmæä»¶ïŒç¶åæ·»å åŠäžçå®ïŒè¿éäœ¿çšstyle-red.cssäœäžºäŸå­ïŒïŒ<br/> 
- 
-<small><tt> 
-<br/> 
-package Style<br/> 
-<br/> 
-\_cssheader\_ {<br/> 
-&lt;link rel=\'stylesheet\' href=\'\_httpcstyle\_/style-red.css\'<br/> 
-&nbsp;&nbsp;type=\'text/css\' title=\'Fire Red\' charset=\'UTF-8\'&gt;<br/> 
-}<br/> 
-</tt></small> 
-</li> 
-</ul> 
-</p>
-"