Index: gs3-installations/mars/trunk/sites/mars/collect/amc-essentia/AUDIO-TO-ESSENTIA-CSV-FEATURE-FILE.pl--DEPRECATED
===================================================================
--- gs3-installations/mars/trunk/sites/mars/collect/amc-essentia/AUDIO-TO-ESSENTIA-CSV-FEATURE-FILE.pl--DEPRECATED	(revision 36961)
+++ 	(revision )
@@ -1,87 +1,0 @@
-#!/usr/bin/env perl
-
-use strict;
-use warnings;
-
-# Perl equiv to Bash script of the same name
-
-# ****
-# The only change to this file (from the DEAM version) 
-# is to add on '_essentiafeatures' to the root filename used
-
-use Cwd qw(cwd getcwd);
-
-if (scalar(@ARGV) != 1) {
-    print STDERR "****\n";
-    print STDERR "* Error: incorrect usage\n";
-    print STDERR "* Usage: $0 audio_input_file\n";
-    print STDERR "****\n";
-    exit(1);
-}
-
-my $audio_file = $ARGV[0];
-
-my ($audio_root) = ($audio_file =~ m/^(.*)\..+?$/);
-
-my $json_file = "${audio_root}_essentiafeatures.json";
-my $csv_file  = "${audio_root}_essentiafeatures.csv";
-
-my $pwd = cwd();
-my $profile_file = "$pwd/essentia-2013-2014.profile";
-
-# knock out any arrays in the JSON extracted features file
-my $ignore_fields="\
- lowlevel.barkbands.* \
- lowlevel.erbbands.* \
- lowlevel.gfcc.* \
- lowlevel.melbands.* \
- lowlevel.melbands128.* \
- lowlevel.mfcc.* \
-\
- lowlevel.spectral_contrast_coeffs.* \
- lowlevel.spectral_contrast_valleys.* \
-\
- metadata.* \
-\
- rhythm.beats_loudness_band_ratio.* \
- rhythm.beats_position.* \
- rhythm.bpm_histogram.* \
-\
- tonal.hpcp.* \
- tonal.chords_histogram.* \
- tonal.thpcp.*";
-
-$ignore_fields =~ s/\n//sg;
-
-if ( ! -f $json_file ) {
-       
-    print "******\n";
-    print "* Running Essentia music extractor\n";
-    print "*  on input file:     $audio_file\n";
-    print "*  with profile:      $profile_file\n";
-    print "*  generating output: $json_file\n";
-    print "****\n";
-    system("essentia_streaming_extractor_music $audio_file $json_file $profile_file");
-    
-    print "*\n";
-    print "******\n";
-    
-}
-else {
-    print "*  Skipping extraction of JSON features as $json_file already exists\n";
-}
-
-if ( ! -f $csv_file ) {
-
-    print "******\n";
-    print "* Running Essentia JSON to CSV convertor on $json_file\n";
-
-    system("json_to_csv.py -i $json_file -o $csv_file --add-filename --ignore $ignore_fields");
-    print "******\n";
-}
-else {
-    print "*  Skipping JSON to CSV conversion as $csv_file already exists\n";
-}
-
-
-
Index: gs3-installations/mars/trunk/sites/mars/collect/amc-essentia/AUDIO-TO-ESSENTIA-CSV-FEATURE-FILE.sh--DEPRECATED
===================================================================
--- gs3-installations/mars/trunk/sites/mars/collect/amc-essentia/AUDIO-TO-ESSENTIA-CSV-FEATURE-FILE.sh--DEPRECATED	(revision 36961)
+++ 	(revision )
@@ -1,64 +1,0 @@
-#!/bin/bash
-
-# ****
-# The only change to this file (from the DEAM version) 
-# is to add on '_essentiafeatures' to the root filename used
-
-audio_file=$1
-json_file=${audio_file%.*}_essentiafeatures.json
-csv_file=${audio_file%.*}_essentiafeatures.csv
-
-profile_file=`pwd`/essentia-2013-2014.profile
-
-# knock out any arrays in the JSON extracted features file
-ignore_fields="\
- lowlevel.barkbands.* \
- lowlevel.erbbands.* \
- lowlevel.gfcc.* \
- lowlevel.melbands.* \
- lowlevel.melbands128.* \
- lowlevel.mfcc.* \
-\
- lowlevel.spectral_contrast_coeffs.* \
- lowlevel.spectral_contrast_valleys.* \
-\
- metadata.* \
-\
- rhythm.beats_loudness_band_ratio.* \
- rhythm.beats_position.* \
- rhythm.bpm_histogram.* \
-\
- tonal.hpcp.* \
- tonal.chords_histogram.* \
- tonal.thpcp.*"
-
-if [ ! -f $json_file ] ; then
-
-    echo "******"
-    echo "* Running Essentia music extractor"
-    echo "*  on input file:     $audio_file"
-    echo "*  with profile:      $profile_file"
-    echo "*  generating output: $json_file"
-    echo "****"
-    essentia_streaming_extractor_music $audio_file $json_file $profile_file 
-    
-    echo "*"
-    echo "******"
-
-else
-    echo "*  Skipping extraction of JSON features as $json_file already exists"
-fi
-
-if [ ! -f $csv_file ] ; then
-
-    echo "******"
-    echo "* Running Essentia JSON to CSV convertor on $json_file"
-
-    json_to_csv.py -i $json_file -o $csv_file --add-filename --ignore $ignore_fields 
-    echo "******"
-else
-    echo "*  Skipping JSON to CSV conversion as $csv_file already exists"
-fi
-
-
-