Index: gs3-installations/intermuse/trunk/sites/intermuse/collect/programmes/etc/collectionConfig.xml
===================================================================
--- gs3-installations/intermuse/trunk/sites/intermuse/collect/programmes/etc/collectionConfig.xml	(revision 37017)
+++ gs3-installations/intermuse/trunk/sites/intermuse/collect/programmes/etc/collectionConfig.xml	(revision 37018)
@@ -34,4 +34,33 @@
 				</gsf:choose-metadata>
 			</gsf:template>
+
+
+			<xsl:template name="document-link-mirador">
+			  <a>
+			    <xsl:attribute name="href">
+			      <xsl:value-of select='$library_name'/>
+			      <xsl:text>/collection/</xsl:text>
+			      <xsl:value-of select='/page/pageResponse/collection/@name'/>
+			      <xsl:text>/document/</xsl:text>
+			      <xsl:choose>
+				<xsl:when test="@OID">
+				  <xsl:value-of select="@OID"/>
+				</xsl:when>
+				<xsl:when test="@OIDmetadata">
+				  <xsl:variable name="OIDmeta" select="@OIDmetadata"/>
+				  <xsl:value-of select="metadataList/metadata[@name='{$OIDmeta}']"/>
+				</xsl:when>
+				<xsl:otherwise>
+				  <xsl:value-of select='@nodeID'/>
+				</xsl:otherwise>
+			      </xsl:choose>			      
+			      <xsl:text>?book=mirador</xsl:text>
+			    </xsl:attribute>
+			    (<gsf:icon type="document" style="vertical-align:middle;"/> Mirador Annotate)
+			    <!-- <xsl:copy-of select="@value"/> -->
+			    <!-- <xsl:apply-templates selet="@*|node()"/> -->
+			  </a>
+			</xsl:template>
+			
 <!--
 modify the collection description template to output the "this collection contains X documents and was last built Y days ago" message
@@ -89,4 +118,7 @@
 			    </gsf:link>
 			  </td>
+			  <td valign="top">
+			    <xsl:call-template name="document-link-mirador" />
+			  </td>
 			  <td>
 			    <gsf:link type="document">
@@ -184,4 +216,9 @@
 			    </gsf:link>
 			  </td>
+
+			  <td valign="top">
+			    <xsl:call-template name="document-link-mirador"/>
+			  </td>
+			  
 			  <td valign="top">
 			    <gsf:link type="document">
Index: gs3-installations/intermuse/trunk/sites/intermuse/collect/programmes/transform/pages/document.xsl
===================================================================
--- gs3-installations/intermuse/trunk/sites/intermuse/collect/programmes/transform/pages/document.xsl	(revision 37017)
+++ gs3-installations/intermuse/trunk/sites/intermuse/collect/programmes/transform/pages/document.xsl	(revision 37018)
@@ -9,5 +9,5 @@
 	exclude-result-prefixes="java util gsf">
 
-
+  
   <xsl:template name="iiif-links">
     <xsl:param name="identifier"/>
@@ -99,6 +99,44 @@
      </style>
   </xsl:template>
-  
-  <xsl:template name="documentPost">
+
+
+  <xsl:template name="documentContentMirador">
+    
+    <gsf:script src="https://unpkg.com/mirador@latest/dist/mirador.min.js"/>
+
+    
+    <!-- By default uses Roboto font. Be sure to load this or change the font -->
+    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500" />
+    <!-- Container element of Mirador whose id should be passed to the instantiating call as "id" -->
+    
+    <div style="position: relative; width: 100%; height: 800px;">
+      <div id="my-mirador"> <xsl:comment>filler</xsl:comment></div>
+    </div>
+    
+    <gsf:script>
+			      
+var mirador = Mirador.viewer({
+  "id": "my-mirador",
+  "manifests": {
+    "https://intermuse.sowemustthink.space/greenstone3/sample-manifest.json": {
+      "provider": "IntermusE"
+    }
+    },
+  "window" : { "panels" : { "annotations": true, "attribution": false } },
+  "annotations": {
+    "htmlSanitizationRuleSet": 'iiif', // See src/lib/htmlRules.js for acceptable values
+    "filteredMotivations": ['oa:commenting', 'oa:tagging', 'sc:painting', 'commenting', 'tagging'],
+  },    
+  "windows": [
+    {
+      "loadedManifest": "https://intermuse.sowemustthink.space/greenstone3/sample-manifest.json",
+      "canvasIndex": 2,
+      "thumbnailNavigationPosition": 'far-bottom'
+    }
+  ]
+});
+    </gsf:script>
+
+
     <xsl:if test="@docType='simple'">
       <!-- add in IIIF Server link for simple page image -->
@@ -106,4 +144,35 @@
 	<xsl:with-param name="identifier" select="$docID" />
       </xsl:call-template>
+    </xsl:if>
+
+
+  </xsl:template>
+  
+  <xsl:template name="documentContent">
+    <div id="gs-document">
+
+      <xsl:choose>
+	<xsl:when test="$bookswitch = 'mirador'">
+	  <xsl:call-template name="documentPre"/>
+	  <xsl:call-template name="documentContentMirador"/>
+	  <xsl:call-template name="documentPost"/>
+	</xsl:when>
+	<xsl:otherwise>
+	  <div>book swith = <xsl:value-of select="$bookswitch"/></div>
+	  <xsl:call-template name="documentPre"/>
+	  <xsl:call-template name="wrappedSectionImage"/>
+	  <div id="gs-document-text">
+	    <xsl:call-template name="documentNodeText"/>
+	  </div>
+	  <xsl:call-template name="documentPost"/>
+	</xsl:otherwise>
+      </xsl:choose>
+    </div>
+      
+  </xsl:template>
+
+  
+  <xsl:template name="documentPost">
+    <xsl:if test="@docType='simple'">
 
       <!--
@@ -122,5 +191,8 @@
 -->
       
-    </xsl:if>   
+    </xsl:if>
+
+
+
   </xsl:template>
 